import { createAsyncThunk } from "@reduxjs/toolkit";
import axios from "axios";
import { LOADING_END, LOADING_START } from "../../../lib/redux/slices/appSlice";

export const senfGetInventoryStockService = createAsyncThunk(
  "SENF_GET_INVENTORY_STOCK_SERVICE",
  async (d, { dispatch }) => {
    dispatch(LOADING_START());
    const { data, status } = await axios.get("guilds_warehouse/", {
      params: d,
    });
    dispatch(LOADING_END());
    return { data, status };
  }
);
